// Code generated by mockery v2.10.2. DO NOT EDIT.

package mocks

import (
	models "bots-ms/models"

	mock "github.com/stretchr/testify/mock"
)

// StateRepository is an autogenerated mock type for the StateRepository type
type StateRepository struct {
	mock.Mock
}

// Create provides a mock function with given fields: item
func (_m *StateRepository) Create(item *models.State) error {
	ret := _m.Called(item)

	var r0 error
	if rf, ok := ret.Get(0).(func(*models.State) error); ok {
		r0 = rf(item)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Delete provides a mock function with given fields: item
func (_m *StateRepository) Delete(item *models.State) error {
	ret := _m.Called(item)

	var r0 error
	if rf, ok := ret.Get(0).(func(*models.State) error); ok {
		r0 = rf(item)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// DeleteByStateMachineId provides a mock function with given fields: id
func (_m *StateRepository) DeleteByStateMachineId(id uint) error {
	ret := _m.Called(id)

	var r0 error
	if rf, ok := ret.Get(0).(func(uint) error); ok {
		r0 = rf(id)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// GetById provides a mock function with given fields: id
func (_m *StateRepository) GetById(id uint) (*models.State, error) {
	ret := _m.Called(id)

	var r0 *models.State
	if rf, ok := ret.Get(0).(func(uint) *models.State); ok {
		r0 = rf(id)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.State)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(uint) error); ok {
		r1 = rf(id)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// List provides a mock function with given fields: stateMachineId
func (_m *StateRepository) List(stateMachineId uint) (*[]models.State, error) {
	ret := _m.Called(stateMachineId)

	var r0 *[]models.State
	if rf, ok := ret.Get(0).(func(uint) *[]models.State); ok {
		r0 = rf(stateMachineId)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*[]models.State)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(uint) error); ok {
		r1 = rf(stateMachineId)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// Update provides a mock function with given fields: item
func (_m *StateRepository) Update(item *models.State) error {
	ret := _m.Called(item)

	var r0 error
	if rf, ok := ret.Get(0).(func(*models.State) error); ok {
		r0 = rf(item)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
